Doomsday Engine - Bug #2152

Bug # 2064 (New): Bugs in HeXen Multiplayer

[Hexen] Afrits become stuck/invincible in multiplayer
2016-03-27 07:49 - skyjake

Status: New Start date: 2016-03-27
Priority: Urgent % Done: 0%
Assignee:

Category: Defect

Target version: Multiplayer

Description

Version:

1.15.8 (Windows 64bit)

Reproducible:
Always

Steps to reproduce:

In a Hexen multiplayer session (tested in coop only), meet any afrit (black gargoyle that spits fireballs at you) creature.

(Best is to choose mage class and set difficulcy level to highest or second highest, the afrit spawns in first map at the beginning just
in front of you).

Expected result:
Afrit flies around and attacks player.

Actual result:

Afrit gets stuck at the location where encountered and is invulnerable and non-clipable (you can't walk through it). A second copy
flies around and attacks player. The copy can be killed normally. This behavior works only in multiplayer (even with just 1 player), in
singleplayer everything is fine. This breaks several maps where the afrit spawns in the middle of corridors.

(See also: http://dengine.net/forums/viewtopic.php?f=7&t=2221#topic)

History

#1 - 2016-03-27 08:24 - skyjake
- Target version set to 2.1 (Late 2018)

#2 - 2018-07-29 16:53 - skyjake
- Target version changed from 2.1 (Late 2018) to Multiplayer
